ds^2 & = -\left( 1 - \frac{2MG}{c^2r} \right) dt^2 + \frac{1}{\left( 1 - \frac{2MG}{c^2r} \right)} dr^2 + r^2 d\theta + r^2 sin^2(\theta) d\phi \\
ds^2 & = g_{\mu\nu} x^{\mu} x^{\nu} = \begin{pmatrix} dt & dr & d\theta & d\phi \end{pmatrix} \begin{pmatrix} -\left( 1 - \frac{2MG}{c^2r} \right) c^2 & 0 & 0 & 0 \\
0 & \frac{1}{\left( 1 - \frac{2MG}{c^2r} \right)} & 0 & 0 \\
0 & 0 & r^2 & 0 \\
0 & 0 & 0 & r^2 sin^2(\theta) \end{pmatrix} \begin{pmatrix}  dt \\
dr \\
d\theta \\
d\phi \end{pmatrix}
